#!/bin/bash

RM_PO="po/Makefile* po/POTFILES"
RM_SRC="src/Makefile src/Makefile.in src/.deps src/interface.?.bak"
RM_GLADE="Makefile Makefile.in COPYING INSTALL depcomp\
  aclocal.m4 auto*.cache config.* configure mkinstalldirs\
  missing install-sh stamp-h stamp-h? .deps\
  *.glade.bak *.gladep.bak compile"
RM_LIST="$RM_PO $RM_SRC $RM_GLADE"
RM_VNCVIEWER="netif.c sock.c type.h vnc_cmd.c command.c convert.c window.c"
RM_CLIENT="src/lock.c src/filesystem.c src/vnc_cmd.c"

clean(){
  if [ -e Makefile ]; then
    make clean
  else
    rm *.o *.a src/*.o src/*.a
  fi
}

cd ./src_client/src/windows
make clean
cd -
cd ./src_client
clean
cd -
cd ./vncviewer
clean
cd -

case $1 in
  all)
    cd ./src_client;\
    echo "rm $RM_LIST";\
    rm -rf $RM_LIST;\
    echo "rm $RM_CLIENT";\
    rm -rf $RM_CLIENT;\
    cd -;\
    cd ./vncviewer;\
    echo "rm $RM_LIST";\
    rm -rf $RM_LIST;\
    echo "rm $RM_VNCVIEWER";\
    rm -rf $RM_VNCVIEWER;\
    cd -
    ;;
esac

rm -f multivnc_client.exe
rm -f hook.dll
echo
echo '****** CLEAN_COMPLETE ******'
